.\"	$NetBSD: dkscan_bsdlabel.8,v 1.1 2007/03/01 22:01:30 martin Exp $
.\"
.\" Copyright (c) 2007 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Martin Husemann <martin@NetBSD.org>.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 27, 2007
.Dt DKSCAN_BSDLABEL 8
.Os
.Sh NAME
.Nm dkscan_bsdlabel
.Nd program to create wedges from a BSD disklabel
.Sh SYNOPSIS
.Nm
.Op Fl nv
.Ar device
.Sh DESCRIPTION
.Nm
scans a disk for a BSD disklabel, which does not need to be the
label variant used on the architecture currently running, or even
the same endianess.
.Pp
The following options are supported:
.Bl -tag -width device -compact
.It Fl n
No execution - list the wedges, but do not create them.
.It Fl v
Be more verbose - print additional information.
.El
The argument
.Ar device
specifices the disk on which the disklabel is scanned and to which
the wedges are added.
.Sh EXAMPLES
.Dl Nm Fl v Ar wd1
Create wedges from all recognized partitions on wd1
.Sh SEE ALSO
.Xr dk 4 ,
.Xr disklabel 5 ,
.Xr dkctl 8
.Sh HISTORY
The
.Nm
command first appeared in
.Nx 5.0 .
.Sh AUTHORS
.An -nosplit
.An Martin Huseman
wrote the
.Nm
utility.
It is reusing a lot of kernel code written by
.An Jason R. Thorpe .
